; EZ-USB FX2LP Register Summary
; Source Document Title:	CY7C68013A EZ-USB FX2LP USB Microcontroller High-Speed USB Peripheral Controller
; Source Document Number:	38-08032 rev.F
; File built by:		Dmitry Tchekunov <dmtch@irz.ru>

SEG_CODE_END		EQU		03FFFh
SEG_EXT_DATA_BEGIN	EQU		0E000h
SEG_EXT_DATA_END	EQU		0E1FFh

; GPIF Waveform Memories
WAVEDATA		XDATA		0E400h ; size 128 
; E480 128 bytes reserved

CPUCS			XDATA		0E600h ; size 1 
IFCONFIG		XDATA		0E601h ; size 1 
PINFLAGSAB		XDATA		0E602h ; size 1 
PINFLAGSCD		XDATA		0E603h ; size 1 
FIFORESET		XDATA		0E604h ; size 1 
BREAKPT			XDATA		0E605h ; size 1 
BPADDRH			XDATA		0E606h ; size 1 
BPADDRL			XDATA		0E607h ; size 1 
UART230			XDATA		0E608h ; size 1 
FIFOPINPOLAR		XDATA		0E609h ; size 1 
REVID			XDATA		0E60Ah ; size 1 
REVCTL			XDATA		0E60Bh ; size 1 

; UDMA
GPIFHOLDAMOUNT		XDATA		0E60Ch ; size 1 

; ENDPOINT CONFIGURATION
EP1OUTCFG		XDATA		0E610h ; size 1 
EP1INCFG		XDATA		0E611h ; size 1 
EP2CFG			XDATA		0E612h ; size 1 
EP4CFG			XDATA		0E613h ; size 1 
EP6CFG			XDATA		0E614h ; size 1 
EP8CFG			XDATA		0E615h ; size 1 
; E616 2 bytes reserved
EP2FIFOCFG		XDATA		0E618h ; size 1 
EP4FIFOCFG		XDATA		0E619h ; size 1 
EP6FIFOCFG		XDATA		0E61Ah ; size 1 
EP8FIFOCFG		XDATA		0E61Bh ; size 1 
; E61C 4 bytes reserved
EP2AUTOINLENH		XDATA		0E620h ; size 1 
EP2AUTOINLENL		XDATA		0E621h ; size 1 
EP4AUTOINLENH		XDATA		0E622h ; size 1 
EP4AUTOINLENL		XDATA		0E623h ; size 1 
EP6AUTOINLENH		XDATA		0E624h ; size 1 
EP6AUTOINLENL		XDATA		0E625h ; size 1 
EP8AUTOINLENH		XDATA		0E626h ; size 1 
EP8AUTOINLENL		XDATA		0E627h ; size 1 
ECCCFG			XDATA		0E628h ; size 1 
ECCRESET		XDATA		0E629h ; size 1 
ECC1B0			XDATA		0E62Ah ; size 1 
ECC1B1			XDATA		0E62Bh ; size 1 
ECC1B2			XDATA		0E62Ch ; size 1 
ECC2B0			XDATA		0E62Dh ; size 1 
ECC2B1			XDATA		0E62Eh ; size 1 
ECC2B2			XDATA		0E62Fh ; size 1 
EP2FIFOPFH		XDATA		0E630h ; size 1 
EP2FIFOPFL		XDATA		0E631h ; size 1 
EP4FIFOPFH		XDATA		0E632h ; size 1 
EP4FIFOPFL		XDATA		0E633h ; size 1 
EP6FIFOPFH		XDATA		0E634h ; size 1 
EP6FIFOPFL		XDATA		0E635h ; size 1 
EP8FIFOPFH		XDATA		0E636h ; size 1 
EP8FIFOPFL		XDATA		0E637h ; size 1 
; E638 8 bytes reserved
EP2ISOINPKTS		XDATA		0E640h ; size 1 
EP4ISOINPKTS		XDATA		0E641h ; size 1 
EP6ISOINPKTS		XDATA		0E642h ; size 1 
EP8ISOINPKTS		XDATA		0E643h ; size 1 
; E644 4 bytes reserved
INPKTEND		XDATA		0E648h ; size 1 
OUTPKTEND		XDATA		0E649h ; size 1 

; INTERRUPTS
EP2FIFOIE		XDATA		0E650h ; size 1 
EP2FIFOIRQ		XDATA		0E651h ; size 1 
EP4FIFOIE		XDATA		0E652h ; size 1 
EP4FIFOIRQ		XDATA		0E653h ; size 1 
EP6FIFOIE		XDATA		0E654h ; size 1 
EP6FIFOIRQ		XDATA		0E655h ; size 1 
EP8FIFOIE		XDATA		0E656h ; size 1 
EP8FIFOIRQ		XDATA		0E657h ; size 1 
IBNIE			XDATA		0E658h ; size 1 
IBNIRQ			XDATA		0E659h ; size 1 
NAKIE			XDATA		0E65Ah ; size 1 
NAKIRQ			XDATA		0E65Bh ; size 1 
USBIE			XDATA		0E65Ch ; size 1 
USBIRQ			XDATA		0E65Dh ; size 1 
EPIE			XDATA		0E65Eh ; size 1 
EPIRQ			XDATA		0E65Fh ; size 1 
GPIFIE			XDATA		0E660h ; size 1 
GPIFIRQ			XDATA		0E661h ; size 1 
USBERRIE		XDATA		0E662h ; size 1 
USBERRIRQ		XDATA		0E663h ; size 1 
ERRCNTLIM		XDATA		0E664h ; size 1 
CLRERRCNT		XDATA		0E665h ; size 1 
INT2IVEC		XDATA		0E666h ; size 1 
INT4IVEC		XDATA		0E667h ; size 1 
INTSETUP		XDATA		0E668h ; size 1 
; E669 7 bytes reserved

; INPUT / OUTPUT
PORTACFG		XDATA		0E670h ; size 1 
PORTCCFG		XDATA		0E671h ; size 1 
PORTECFG		XDATA		0E672h ; size 1 
XTALINSRC		XDATA		0E673h ; size 1 
; E677h 1 byte reserved
I2CS			XDATA		0E678h ; size 1 
I2DAT			XDATA		0E679h ; size 1 
I2CTL			XDATA		0E67Ah ; size 1 
XAUTODAT1		XDATA		0E67Bh ; size 1 
XAUTODAT2		XDATA		0E67Ch ; size 1 
 
; UDMA CRC
UDMACRCH		XDATA		0E67Dh ; size 1 
UDMACRCL		XDATA		0E67Eh ; size 1 
UDMACRCQUALIFIER	XDATA		0E67Fh ; size 1 

; USB CONTROL
USBCS			XDATA		0E680h ; size 1 
SUSPEND			XDATA		0E681h ; size 1 
WAKEUPCS		XDATA		0E682h ; size 1 
TOGCTL			XDATA		0E683h ; size 1 
USBFRAMEH		XDATA		0E684h ; size 1 
USBFRAMEL		XDATA		0E685h ; size 1 
MICROFRAME		XDATA		0E686h ; size 1 
FNADDR			XDATA		0E687h ; size 1 
; E688 2 bytes reserved

; ENDPOINTS
EP0BCH			XDATA		0E68Ah ; size 1 
EP0BCL			XDATA		0E68Bh ; size 1 
; E68C 1 byte reserved
EP1OUTBC		XDATA		0E68Dh ; size 1 
; E68E 1 byte reserved
EP1INBC			XDATA		0E68Fh ; size 1 
EP2BCH			XDATA		0E690h ; size 1 
EP2BCL			XDATA		0E691h ; size 1 
; E692 2 bytes reserved
EP4BCH			XDATA		0E694h ; size 1 
EP4BCL			XDATA		0E695h ; size 1 
; E696 2 bytes reserved
EP6BCH			XDATA		0E698h ; size 1 
EP6BCL			XDATA		0E699h ; size 1 
; E69A 2 bytes reserved
EP8BCH			XDATA		0E69Ch ; size 1 
EP8BCL			XDATA		0E69Dh ; size 1 
; E69E 2 bytes reserved
EP0CS			XDATA		0E6A0h ; size 1 
EP1OUTCS		XDATA		0E6A1h ; size 1 
EP1INCS			XDATA		0E6A2h ; size 1 
EP2CS			XDATA		0E6A3h ; size 1 
EP4CS			XDATA		0E6A4h ; size 1 
EP6CS			XDATA		0E6A5h ; size 1 
EP8CS			XDATA		0E6A6h ; size 1 
EP2FIFOFLGS		XDATA		0E6A7h ; size 1 
EP4FIFOFLGS		XDATA		0E6A8h ; size 1 
EP6FIFOFLGS		XDATA		0E6A9h ; size 1 
EP8FIFOFLGS		XDATA		0E6AAh ; size 1 
EP2FIFOBCH		XDATA		0E6ABh ; size 1 
EP2FIFOBCL		XDATA		0E6ACh ; size 1 
EP4FIFOBCH		XDATA		0E6ADh ; size 1 
EP4FIFOBCL		XDATA		0E6AEh ; size 1 
EP6FIFOBCH		XDATA		0E6AFh ; size 1 
EP6FIFOBCL		XDATA		0E6B0h ; size 1 
EP8FIFOBCH		XDATA		0E6B1h ; size 1 
EP8FIFOBCL		XDATA		0E6B2h ; size 1 
SUDPTRH			XDATA		0E6B3h ; size 1 
SUDPTRL			XDATA		0E6B4h ; size 1 
SUDPTRCTL		XDATA		0E6B5h ; size 1 
; E6B6 2 bytes reserved
SETUPDAT		XDATA		0E6B8h ; size 8 

; GPIF
GPIFWFSELECT		XDATA		0E6C0h ; size 1 
GPIFIDLECS		XDATA		0E6C1h ; size 1 
GPIFIDLECTL		XDATA		0E6C2h ; size 1 
GPIFCTLCFG		XDATA		0E6C3h ; size 1 
GPIFADRH		XDATA		0E6C4h ; size 1 
GPIFADRL		XDATA		0E6C5h ; size 1 
FLOWSTATE		XDATA		0E6C6h ; size 1 
FLOWLOGIC		XDATA		0E6C7h ; size 1 
FLOWEQ0CTL		XDATA		0E6C8h ; size 1 
FLOWEQ1CTL		XDATA		0E6C9h ; size 1 
FLOWHOLDOFF		XDATA		0E6CAh ; size 1 
FLOWSTB			XDATA		0E6CBh ; size 1 
FLOWSTBEDGE		XDATA		0E6CCh ; size 1 
FLOWSTBPERIOD		XDATA		0E6CDh ; size 1 
GPIFTCB3		XDATA		0E6CEh ; size 1 
GPIFTCB2		XDATA		0E6CFh ; size 1 
GPIFTCB1		XDATA		0E6D0h ; size 1 
GPIFTCB0		XDATA		0E6D1h ; size 1 
EP2GPIFFLGSEL		XDATA		0E6D2h ; size 1 
EP2GPIFPFSTOP		XDATA		0E6D3h ; size 1 
EP2GPIFTRIG		XDATA		0E6D4h ; size 1 
EP4GPIFFLGSEL		XDATA		0E6DAh ; size 1 
EP4GPIFPFSTOP		XDATA		0E6DBh ; size 1 
EP4GPIFTRIG		XDATA		0E6DCh ; size 1 
EP6GPIFFLGSEL		XDATA		0E6E2h ; size 1 
EP6GPIFPFSTOP		XDATA		0E6E3h ; size 1 
EP6GPIFTRIG		XDATA		0E6E4h ; size 1 
EP8GPIFFLGSEL		XDATA		0E6EAh ; size 1 
EP8GPIFPFSTOP		XDATA		0E6EBh ; size 1 
EP8GPIFTRIG		XDATA		0E6ECh ; size 1 
XGPIFSGLDATH		XDATA		0E6F0h ; size 1 
XGPIFSGLDATLX		XDATA		0E6F1h ; size 1 
XGPIFSGLDATLNOX		XDATA		0E6F2h ; size 1 
GPIFREADYCFG		XDATA		0E6F3h ; size 1 
GPIFREADYSTAT		XDATA		0E6F4h ; size 1 
GPIFABORT		XDATA		0E6F5h ; size 1 
; E6F6 2 bytes reserved

; ENDPOINT BUFFERS
EP0BUF			XDATA		0E740h ; size 64 
EP1OUTBUF		XDATA		0E780h ; size 64 
EP1INBUF		XDATA		0E7C0h ; size 64 
; 2048 bytes reserved RW
EP2FIFOBUF		XDATA		0F000h ; size 1024 
EP4FIFOBUF		XDATA		0F400h ; size 512 
; F600 512 bytes reserved
EP6FIFOBUF		XDATA		0F800h ; size 1024 
EP8FIFOBUF		XDATA		0FC00h ; size 512 
; FE00 512 bytes reserved

; Special Function Registers (SFRs)
IOA		DATA		80h ; size 1 
SP		DATA		81h ; size 1 
DPL		DATA		82h ; size 1 
DPH		DATA		83h ; size 1 
DPL1		DATA		84h ; size 1 
DPH1		DATA		85h ; size 1 
DPS		DATA		86h ; size 1 
PCON		DATA		87h ; size 1 
TCON		DATA		88h ; size 1 
; TCON			(bit addressable)
	IT0	BIT		88h+0
	IE0	BIT		88h+1
	IT1	BIT		88h+2
	IE1	BIT		88h+3
	TR0	BIT		88h+4
	TF0	BIT		88h+5
	TR1	BIT		88h+6
	TF1	BIT		88h+7

TMOD		DATA		89h ; size 1 
TL0		DATA		8Ah ; size 1 
TL1		DATA		8Bh ; size 1 
TH0		DATA		8Ch ; size 1 
TH1		DATA		8Dh ; size 1 
CKCON		DATA		8Eh ; size 1 
; 8F 1 byte reserved
IOB		DATA		90h ; size 1 
EXIF		DATA		91h ; size 1 
MPAGE		DATA		92h ; size 1 
; 93 5 bytes reserved
SCON0		DATA		98h ; size 1 
; SCON0			(bit addressable)
	RI_0	BIT		98h+0
	TI_0 	BIT		98h+1
	RB8_0 	BIT		98h+2
	TB8_0 	BIT		98h+3
	REN_0 	BIT		98h+4
	SM2_0 	BIT		98h+5
	SM1_0 	BIT		98h+6
	SM0_0 	BIT		98h+7

SBUF0		DATA		99h ; size 1 
AUTOPTRH1	DATA		9Ah ; size 1 
AUTOPTRL1	DATA		9Bh ; size 1 
; 9C 1 byte reserved
AUTOPTRH2	DATA		9Dh ; size 1 
AUTOPTRL2	DATA		9Eh ; size 1 
; 9F 1 byte reserved
IOC		DATA		0A0h ; size 1 
INT2CLR		DATA		0A1h ; size 1 
INT4CLR		DATA		0A2h ; size 1 
; A3 5 bytes reserved
IE		DATA		0A8h ; size 1 
; IE			(bit addressable)
	EX0	BIT		0A8h+0
	ET0 	BIT		0A8h+1
	EX1 	BIT		0A8h+2
	ET1 	BIT		0A8h+3
	ES0 	BIT		0A8h+4
	ET2 	BIT		0A8h+5
	ES1 	BIT		0A8h+6
	EA 	BIT		0A8h+7
 
; A9 1 byte reserved
EP2468STAT	DATA		0AAh ; size 1 
EP24FIFOFLGS	DATA		0ABh ; size 1 
EP68FIFOFLGS	DATA		0ACh ; size 1 
; AD 2 bytes reserved
AUTOPTRSETUP	DATA		0AFh ; size 1 
IOD		DATA		0B0h ; size 1 
IOE		DATA		0B1h ; size 1 
OEA		DATA		0B2h ; size 1 
OEB		DATA		0B3h ; size 1 
OEC		DATA		0B4h ; size 1 
OED		DATA		0B5h ; size 1 
OEE		DATA		0B6h ; size 1 
; B7 1 byte reserved
IP		DATA		0B8h ; size 1 
; IP			(bit addressable)
	PX0	BIT		0B8h+0
	PT0	BIT		0B8h+1
	PX1	BIT		0B8h+2
	PT1	BIT		0B8h+3
	PS0	BIT		0B8h+4
	PT2	BIT		0B8h+5
	PS1	BIT		0B8h+6

; B9 1 byte reserved
EP01STAT	DATA		0BAh ; size 1 
GPIFTRIG	DATA		0BBh ; size 1 
; BC 1 byte reserved
GPIFSGLDATH	DATA		0BDh ; size 1 
GPIFSGLDATLX	DATA		0BEh ; size 1 
GPIFSGLDATLNOX	DATA		0BFh ; size 1 
SCON1		DATA		0C0h ; size 1 
; SCON1			(bit addressable)
	RI_1	BIT		0C0h+0
	TI_1 	BIT		0C0h+1
	RB8_1 	BIT		0C0h+2
	TB8_1 	BIT		0C0h+3
	REN_1 	BIT		0C0h+4
	SM2_1 	BIT		0C0h+5
	SM1_1 	BIT		0C0h+6
	SM0_1 	BIT		0C0h+7

SBUF1		DATA		0C1h ; size 1 
; C2 6 bytes reserved
T2CON		DATA		0C8h ; size 1 
; T2CON			(bit addressable)
	CPRL2 	BIT		0C8h+0
	CT2  	BIT		0C8h+1
	TR2  	BIT		0C8h+2
	EXEN2  	BIT		0C8h+3
	TCLK  	BIT		0C8h+4
	RCLK  	BIT		0C8h+5
	EXF2  	BIT		0C8h+6
	TF2  	BIT		0C8h+7

; C9 1 byte reserved
RCAP2L		DATA		0CAh ; size 1 
RCAP2H		DATA		0CBh ; size 1 
TL2		DATA		0CCh ; size 1 
TH2		DATA		0CDh ; size 1 
; CE 2 bytes reserved
PSW		DATA		0D0h ; size 1 
; PSW			(bit addressable)
	P	BIT		0D0h+0
	F1 	BIT		0D0h+1
	OV 	BIT		0D0h+2
	RS0 	BIT		0D0h+3
	RS1 	BIT		0D0h+4
	F0 	BIT		0D0h+5
	AC 	BIT		0D0h+6
	CY 	BIT		0D0h+7

; D1 7 bytes reserved
EICON		DATA		0D8h ; size 1 
; EICON			(bit addressable)
	INT6	BIT		0D8h+3
	RESI	BIT		0D8h+4
	ERESI	BIT		0D8h+5
	SMOD	BIT		0D8h+7

; D9 7 bytes reserved
ACC		DATA		0E0h ; size 1 
; E1 7 bytes reserved
EIE		DATA		0E8h ; size 1 
; EIE			(bit addressable)
	EUSB	BIT		0E8h+0
	EI2C	BIT		0E8h+1
	EX4	BIT		0E8h+2
	EX5	BIT		0E8h+3
	EX6	BIT		0E8h+4
; E9 7 bytes reserved
B		DATA		0F0h ; size 1 
; F1 7 bytes reserved
EIP		DATA		0F8h ; size 1 
; EIP			(bit addressable)
	PUSB	BIT		0F8h+0
	PI2C	BIT		0F8h+1
	PX4	BIT		0F8h+2
	PX5	BIT		0F8h+3
	PX6	BIT		0F8h+4

; F9 7 bytes reserved

